gem error: certificate verify failed

今天想升级cocoapods,发现找不到相应的库。仔细一看,是之前把gem 的source修改成 https://gems.ruby-china.org/。但是这个站点域名更换成了: https://gems.ruby-china.com/。 就在 gem sources --add 的时候,出错了:

Error fetching https://rubygems.org/:SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://api.rubygems.org/specs.4.8.gz)

google了以下,有官方教程:troubleshoot RubyGems and Bundler TLS/SSL Issues,有需要的自行查看吧。